/* ----------------------------------------------------------------------------------------------------------------------------------------------

							EODmyDOG

Author: Monovdd (Carlos Alberto Arango Schtz)

Credits: CAA (http://armacaa.com), Scar and Paranoik for testing.

Description: EODmyDog is a script that extends the gameplay in Arma 2 CO, and takes the role of combat engineer to another level. 
	     This script invokes a dog companion for the Engineer, with which he can search for mines in a specific area, looking for explosives 
	      in objects or units and attack enemies.

Features: Unlike other scripts, EODmyDOG has a menu that facilitates user interaction and makes the script user-friendly. 
	  Also it has a way to detect explosives that is fully compatible with ACE.

Multiplayer notes: Works perfectly on dedicated servers as well as non-dedicated servers. 
	           (The server must be configured to support ACE).

Requirements: ARMA 2 CO (COMBINED OPERATIONS), ACE (Advanced Combat Enviroment) y CBA (Community Based addon).

Usage: You must complete the following steps to make the script work on your mission:

1) In init.sqf file copy the following line in a new line:

	#include "\x\cba\addons\main\script_component.hpp"

2) In Description.txt file copy the following lines into a new line:

	#include <scripts\EODmydog\files\sounds.hpp>
	#include <scripts\EODmydog\files\c_ui.hpp>
	#include <scripts\EODmydog\files\EODD.hpp>

	Note: If you want to add sounds to your mission and want to use EODmyDOG, you must modify the file sounds.hpp, 
	which is located in the path: scripts \ EODmydog \ files \

	This file contains CfgSounds class that normally meets mission sounds. Here you must add the name of the sound and the path to it.

3) Once done steps 1 and 2, add the following line to the INIT of unit in the editor that you want to have EODmyDOG. 
   Make sure the unit is controlled by a player; otherwise the script will not work.

	_nul = [this] execvm "scripts\EODmydog\files\EODmydog_INIT.sqf";

4) Put in your mission via editor the functions module (BIS Module)

5) Enjoy EODmyDOG. Dont forget to thank. It costs nothing.

------------------------------------------------------------------------------------------------------------------------------------------------- */

class RMM_ui_EODD {
	idd = 80505;
	movingEnable = 1;
	enableSimulation = 1;
	onLoad = "";
	
	
	class controls {
		class Background : CUI_Frame {
			y = CUI_Row_Y(0);
			w = CUI_Box_W;
		};
		class Caption : CUI_Caption {
			text = "EODmyDOG By Monovdd (Carlos Arango S.)";
			y = CUI_Row_Y(0);		
			w = CUI_Box_W;
		};
		class Caption2 : CUI_Caption2 {
			y = CUI_Row_Y(1);			
			w = CUI_Box_W;
		};
		
		class Caption3 : CUI_Caption {
			text = "EOD Functions";
			y = CUI_Row_Y(2);			
			w = CUI_Box_W;
		};
		class modoBuscarBombas : CUI_Button1 {
			text = "Trace explosives in the area";
			w = CUI_Box_W;
			y = CUI_Row_Y(3);			                        
			action = "if (!EODmydog_BuscarExplosivos) then {EODmydog_BuscarExplosivos = true;}; ctrlEnable [12, true];ctrlEnable [11, false];closedialog 0;";			
		};

                class modoBuscarBombasOF : CUI_Button2 {
			text = "Stop tracing explosives in the area";
			w = CUI_Box_W;
			y = CUI_Row_Y(4);			
			action = "if (EODmydog_BuscarExplosivos) then {EODmydog_BuscarExplosivos = false;}; ctrlEnable [11, true];ctrlEnable [12, false];closedialog 0;";
			
		};

		class modoBuscarBombasEnPersona : CUI_Button3 {
			text = "Search for explosives in units/objects";
			w = CUI_Box_W;
			y = CUI_Row_Y(5);                        
			action = "if (!EODmydog_BuscarExplosivosPersona) then {EODmydog_BuscarExplosivosPersona = true;}; ctrlEnable [14, true]; ctrlEnable [13, false];closedialog 0;";
			
		};

		class modoBuscarBombasEnPersonaOF : CUI_Button4 {
			text = "Stop Searching for explosives";
			w = CUI_Box_W;
			y = CUI_Row_Y(6);
			action = "if (EODmydog_BuscarExplosivosPersona) then {EODmydog_BuscarExplosivosPersona = false;}; ctrlEnable [13, true]; ctrlEnable [14, false];closedialog 0;";
			
		};

		class Caption4 : CUI_Caption {
			text = "Funciones de Defensa";
			y = CUI_Row_Y(7);			
			w = CUI_Box_W;
		};
                class modoAtaque : CUI_Button5 {
			text = "Attack the enemy";			
			y = CUI_Row_Y(8);						
			action = "if (!EODmydog_Atacar) then {EODmydog_Atacar = true;}; ctrlEnable [15, false]; ctrlEnable [16, true];closedialog 0;";			
		};

		class modoAtaqueOF : CUI_Button6 {
			text = "Stop attacking";			
			y = CUI_Row_Y(9);						
			action = "if (EODmydog_Atacar) then {EODmydog_Atacar = false;}; ctrlEnable [16, false];ctrlEnable [15, true];closedialog 0;";			
		};
		class Caption5 : CUI_Caption {
			text = "Interaction Functions";
			y = CUI_Row_Y(10);			
			w = CUI_Box_W;
		};

		class modoSeguir : CUI_Button7 {
			text = "Follow me";
			y = CUI_Row_Y(11);							
                        action = "if (!EODmydog_Seguir) then {EODmydog_Seguir = true; EODmydog_Atacar = false;EODmydog_BuscarExplosivosPersona = false;EODmydog_BuscarExplosivos = false;}; ctrlEnable [17, false]; ctrlEnable [18, true];closedialog 0;";			
		};

		class modoSeguirOF : CUI_Button8 {
			text = "Wait here";
			y = CUI_Row_Y(12);							
                        action = "if (EODmydog_Seguir) then {EODmydog_Seguir = false;};ctrlEnable [18, false]; ctrlEnable [17, true];closedialog 0;";			
		};

		class CerrarMenu : CUI_Button9 {
			text = "Close Menu";
			y = CUI_Row_Y(13);
			action = "closedialog 0;";
			default = true;
			
		};
	};
};