/* ----------------------------------------------------------------------------------------------------------------------------------------------

							EODmyDOG

Author: Monovdd (Carlos Alberto Arango Schtz)

Credits: CAA (http://armacaa.com), Scar and Paranoik for testing.

Description: EODmyDog is a script that extends the gameplay in Arma 2 CO, and takes the role of combat engineer to another level. 
	     This script invokes a dog companion for the Engineer, with which he can search for mines in a specific area, looking for explosives 
	      in objects or units and attack enemies.

Features: Unlike other scripts, EODmyDOG has a menu that facilitates user interaction and makes the script user-friendly. 
	  Also it has a way to detect explosives that is fully compatible with ACE.

Multiplayer notes: Works perfectly on dedicated servers as well as non-dedicated servers. 
	           (The server must be configured to support ACE).

Requirements: ARMA 2 CO (COMBINED OPERATIONS), ACE (Advanced Combat Enviroment) y CBA (Community Based addon).

Usage: You must complete the following steps to make the script work on your mission:

1) In init.sqf file copy the following line in a new line:

	#include "\x\cba\addons\main\script_component.hpp"

2) In Description.txt file copy the following lines into a new line:

	#include <scripts\EODmydog\files\sounds.hpp>
	#include <scripts\EODmydog\files\c_ui.hpp>
	#include <scripts\EODmydog\files\EODD.hpp>

	Note: If you want to add sounds to your mission and want to use EODmyDOG, you must modify the file sounds.hpp, 
	which is located in the path: scripts \ EODmydog \ files \

	This file contains CfgSounds class that normally meets mission sounds. Here you must add the name of the sound and the path to it.

3) Once done steps 1 and 2, add the following line to the INIT of unit in the editor that you want to have EODmyDOG. 
   Make sure the unit is controlled by a player; otherwise the script will not work.

	_nul = [this] execvm "scripts\EODmydog\files\EODmydog_INIT.sqf";

4) Put in your mission via editor the functions module (BIS Module)

5) Enjoy EODmyDOG. Dont forget to thank. It costs nothing.

------------------------------------------------------------------------------------------------------------------------------------------------- */
//----------------------------------------------------------------------------------------------------------
//PROCESO DE INICIALIZACION DEL SCRIPT. SE DEFINEN VARIABLES.
//----------------------------------------------------------------------------------------------------------

//Variables Globales

//EODmydog_Seguir
//EODmydog_BuscarExplosivosPersona
//EODmydog_BuscarExplosivos
//EODmydog_Atacar


//----------------------------------------------------------------------------------------------------------
//CONFIGURACIN INICIAL
//----------------------------------------------------------------------------------------------------------

private ["_unidad","_perro","_HumanosCerca","_HumanosVivos","_distancia","_objetos","_TipoDeObjeto","_HumanoCercano","_TipoLadrido","_ComprobarDanoHumano","_DanoMordisco","_GrupoSideLogic","_PerroMuerto","_Bombas", "_anim", "_distanciaJugador", "_i", "_moveanim", "_dir","_newdir","_turnanim","_PosibleAmenaza","_objetivo", "_IEDs","_IEDselec","_alambreDeDisparo","_PosibleHombreBomba","_HombresBomba","_ObjetoBomba","_municionEnInventario","_ModoVehiculoActivado","_AtaqueHecho"];

_Bombas = ["Land_IED_v1_PMC","Land_IED_v2_PMC","Land_IED_v3_PMC","Land_IED_v4_PMC","ACE_SchMiDM31_Editor","ACE_Mine_Editor","ACE_M16_Editor","ACE_M18_Editor","ACE_M49_Editor","ACE_MON50_Editor","ACE_OSM4_Editor","ACE_Pomz_Editor","ACE_MineE_Editor","ACE_schMiDM31","ACE_Mine","ACE_BBetty","ACE_M2SLAM","ACE_M4SLAM","ACE_C4","ACE_Claymore","ACE_TripFlare","ACE_MON50","ACE_Pipebomb","ACE_OSM4","ACE_Land_IED_v3_PMC","ACE_Land_IED_v4_PMC","ACE_Land_IED_v2_PMC","ACE_Land_IED_v1_PMC","ACE_Land_IED_v3_BAF","ACE_Land_IED_v4_BAF","ACE_Land_IED_v2_BAF","ACE_Land_IED_v1_BAF","ACE_M34","6Rnd_HE_M203","6Rnd_HE_M203_heli","ACE_6Rnd_CS_M32","6Rnd_FlareGreen_M203","6Rnd_FlareRed_M203","6Rnd_FlareYellow_M203","6Rnd_Smoke_M203","6Rnd_SmokeRed_M203","6Rnd_SmokeGreen_M203","6Rnd_SmokeYellow_M203","ACE_M224HE_CSWDM","ACE_M224IL_CSWDM","ACE_M224WP_CSWDM","ACE_M252WP_CSWDM","ACE_M252HE_CSWDM","ACE_M252IL_CSWDM","ACE_2B14IL_CSWDM","ACE_2B14HE_CSWDM","ACE_2B14WP_CSWDM","ACE_Konkurs_CSWDM","ACE_KonkursM_CSWDM","ACE_AT13TB","AT13","Strela","2Rnd_Igla","Igla","ACE_ANM14","ACE_C4_M","ACE_DM25","ACE_DM31_M","ACE_DM32","ACE_DM33","ACE_DM34","ACE_DM36","ACE_DM51","ACE_DM51A1","ACE_MAAWS_HE","MAAWS_HEDP","MAAWS_HEAT","ACE_Javelin_Direct","Javelin","Stinger","ACE_Flashbang","ACE_SSGreen_GP25","ACE_SSRed_GP25","ACE_SSWhite_GP25","ACE_SSYellow_GP25","ACE_1Rnd_CS_GP25","BAF_ied_v1","BAF_ied_v2","BAF_ied_v3","BAF_ied_v4","PMC_ied_v1","PMC_ied_v2","PMC_ied_v3","PMC_ied_v4","BAF_L109A1_HE","Mine","ACE_M15","ACE_BBETTY_M","ACE_CLAYMORE_M","ACE_M2SLAM_M","ACE_M4SLAM_M","ACE_1Rnd_HE_M203","1Rnd_HE_M203","Dragon_EP1","ACE_TRIPFLARE_M","ACE_M576","ACE_40mm_Buck_M79","FlareWhite_M203","ACE_SSWhite_M203","ACE_SSYellow_M203","ACE_1Rnd_CS_M203","FlareGreen_M203","FlareRed_M203","ACE_SSGreen_M203","ACE_SSRed_M203","FlareYellow_M203","HandGrenade_West","1Rnd_Smoke_M203","1Rnd_SmokeRed_M203","1Rnd_SmokeGreen_M203","1Rnd_SmokeYellow_M203","ACE_M72A2","ACE_M72","ACE_M7A3","ACE_M84","ACE_M86PDM","ACE_FlareIR_M203","SMAW_HEDP","SMAW_HEAA","ACE_SMAW_NE","ACE_MON50_M","ACE_OG7_PGO7","OG7","ACE_OG9_HE","OG9_HE","ACE_OSM4_M","ACE_RPG29_PG29","ACE_PG7V_PGO7","PG7V","ACE_PG7VL_PGO7","PG7VL","ACE_PG7VM","ACE_PG7VM_PGO7","PG7VR","ACE_PG7VR_PGO7","PG9_AT","ACE_PG9_AT","ACE_POMZ_M","ACE_RDG2","ACE_RDGM","ACE_RG60A","HandGrenade_East","HandGrenade","ACE_RMG","RPG18","ACE_RPG22","ACE_RPG27","ACE_RPO_M","ACE_RSHG1","PipeBomb","SmokeShell","SmokeShellBlue","SmokeShellGreen","SmokeShellOrange","SmokeShellPurple","SmokeShellRed","SmokeShellYellow","ACE_SSGreen_FG","ACE_SSRed_FG","ACE_SSWhite_FG","ACE_SSYellow_FG","ACE_Stinger_CSWDM","ACE_RPG29_TBG29","ACE_TBG7V_PGO7","ACE_TBG7V","MineE","ACE_TORCH_C","1Rnd_SmokeGreen_GP25","1Rnd_SmokeRed_GP25","1Rnd_SMOKE_GP25","1Rnd_SmokeYellow_GP25","FlareGreen_GP25","FlareRed_GP25","FlareWhite_GP25","FlareYellow_GP25","1Rnd_HE_GP25","ACE_1Rnd_HE_GP25P"];
	
_unidad = _this select 0;

_perro = _this select 1;

_i = 30;

_objetivo = _unidad;

_ModoVehiculoActivado = false;

//----------------------------------------------------------------------------------------------------------
//Eventos (Broadcast) de animaciones
//----------------------------------------------------------------------------------------------------------
["move1", {

_perro switchMove _turnanim;

}] call CBA_fnc_addEventHandler;

["move2", {

_perro switchMove "Dog_Stop";

}] call CBA_fnc_addEventHandler;

["move3", {

_perro switchMove _moveanim;

}] call CBA_fnc_addEventHandler;

["move4", {

_perro switchMove "Dog_Sit1";
_perro switchMove "Dog_Siting";

}] call CBA_fnc_addEventHandler;
									
		
//----------------------------------------------------------------------------------------------------------
//INICIA LA IA DEL PERRO. SE DEFINE COMPORTAMIENTO SEGUN FACTORES Y SITUACION
//----------------------------------------------------------------------------------------------------------
								
while {alive _perro} do
		
{	
		
//----------------------------------------------------------------------------------------------------------
//VARIABLES CON VALOR EN LOOP
//----------------------------------------------------------------------------------------------------------		
	_anim = animationstate _perro;

        _dir = [_perro,_objetivo] call BIS_fnc_relativeDirTo;

	_distanciaJugador = _perro distance _objetivo;

	_PosibleAmenaza = [];
			
	_HumanosVivos = [];
        
        _IEDs = [];

	_objetos = [];

	_PosibleHombreBomba = [];

	_HombresBomba = [];

	_municionEnInventario = [];
			
	_distancia = 0;

	_AtaqueHecho = false;


//----------------------------------------------------------------------------------------------------------
//MODO SEGUIR
//----------------------------------------------------------------------------------------------------------

if (EODmydog_Seguir) then {

//----------------------------------------------------------------------------------------------------------
//MODO TURN
//----------------------------------------------------------------------------------------------------------

	if (abs _dir > 6) then {
		
		if (_dir > 180) then {_dir = _dir - 360};

		_newdir = (getdir _perro) + (_dir min 15);

		_perro setdir _newdir;		

			if (_anim == "Dog_Stop") then {
			
				_turnanim = switch (true) do {
					case (_dir > 0) : {"Dog_TurnR"};
					case (_dir < 0) : {"Dog_TurnL"};
					default {""};
				};

				if (_anim != _turnanim) then {			

					["move1"] call CBA_fnc_globalEvent;

					for "_i" from 0 to 9 do {

						_perro setdir ((getdir _perro) + (_dir/10));

						sleep 0.06;
						
					};
		
					_perro setdir ([_perro,_objetivo] call BIS_fnc_dirTo);				

					["move2"] call CBA_fnc_globalEvent;

				};
			};
		};
                

		if (_distanciaJugador> 2 && _distanciaJugador< 100) then {
			
			_moveanim = switch (true) do {
				case (_distanciaJugador> 9) : {"Dog_Sprint"};
				case (_distanciaJugador> 3) : {"Dog_Run"};
				default {"Dog_Walk"};
			};

			if (_anim != _moveanim) then {
				_i = _i + 1;

				if (_i > 30) then {
					_i = 0;

				["move3"] call CBA_fnc_globalEvent;


				};
			};

			sleep 0.005;

		} else {

			if (!EODmydog_Atacar) then {

				if (_anim != "Dog_Siting") then {      				

				["move4"] call CBA_fnc_globalEvent;

				};               
        		 };
		};


} else {

	if (!EODmydog_Atacar) then {

		if (_anim != "Dog_Siting") then {
      				
		["move4"] call CBA_fnc_globalEvent;

		};               
	};

//----------------------------------------------------------------------------------------------------------
//FIN MODO SEGUIR
//----------------------------------------------------------------------------------------------------------

};
	

//----------------------------------------------------------------------------------------------------------
//MODO BUSCAR EXPLOSIVO EN OBJETO
//----------------------------------------------------------------------------------------------------------

if (EODmydog_BuscarExplosivosPersona) then {

	if (!EODmydog_Seguir) then {
	    
            EODmydog_Seguir = true;

	};
	
	EODmydog_BuscarExplosivos = false;

	EODmydog_Atacar = false;


	if (isNil("_ObjetoBomba")) then {	

	hintSilent "Aim the object/unit/vehicle that you want to search for explosives";



	waituntil {(!isnull cursortarget) or (!EODmydog_BuscarExplosivosPersona)};

	_ObjetoBomba = cursortarget;

	};	

		if ((vehicle _ObjetoBomba isKindOf "Man") or (vehicle _ObjetoBomba isKindOf "Car") or (vehicle _ObjetoBomba isKindOf "Motorcycle") or (vehicle _ObjetoBomba isKindOf "Tank") or (vehicle _ObjetoBomba isKindOf "Helicopter") or (vehicle _ObjetoBomba isKindOf "Plane") or (vehicle _ObjetoBomba isKindOf "Ship") or (vehicle _ObjetoBomba isKindOf "ReammoBox")) then { 
				
			if ((vehicle _ObjetoBomba isKindOf "Pastor") or (vehicle _ObjetoBomba isKindOf "Fin")) then {

			hintSilent "EODmyDog is not a valid target";

			_ObjetoBomba = nil;

			EODmydog_BuscarExplosivosPersona = false;

			};										
				_distancia = (position _perro) distance (_ObjetoBomba);	
							                       
                                 	if (_objetivo != _ObjetoBomba) then {

						_objetivo ="";

                                                _objetivo = _ObjetoBomba;

                                         };											
							

						if (alive _ObjetoBomba) then {

							if (_distancia < 5) then {

							EODmydog_Seguir = false;

							["move4"] call CBA_fnc_globalEvent;

								_municionEnInventario = magazines _ObjetoBomba;

								if (count _municionEnInventario >0)  then {

						        		{
							        		if (_x in _Bombas)  then {

											_TipoLadrido = round(random 2);
	
											switch (_TipoLadrido) do {
								
											case 0:
							
											{
		
											[_perro, "ladrido1"] call CBA_fnc_globalSay3d;

											sleep 0.5;
								
											};
								
											case 1:
							
											{
								
											[_perro, "ladrido2"] call CBA_fnc_globalSay3d;

											sleep _TipoLadrido;
								
											};
									
											case 2:
							
											{
								
											[_perro, "ladrido3"] call CBA_fnc_globalSay3d;
											
											sleep _TipoLadrido;
								
											};
								
											};
										
										};	

						      	        	}forEach _municionEnInventario;							
								

								};
							};

						} else {

       						EODmydog_BuscarExplosivosPersona = false;

						};
//----------------------------------------------------------------------------------------------------------
//FIN SELECCION SEGUN TIPO
//----------------------------------------------------------------------------------------------------------	
		} else {
		_ObjetoBomba = nil;
		};
//----------------------------------------------------------------------------------------------------------
//FIN MODO EXPLOSIVO EN PERSONA
//----------------------------------------------------------------------------------------------------------												
} else {
_ObjetoBomba = nil;
};
//----------------------------------------------------------------------------------------------------------
//MODO BUSCAR EXPLOSIVO
//----------------------------------------------------------------------------------------------------------			
if (EODmydog_BuscarExplosivos) then {

	if (!EODmydog_Seguir) then {
	    
            EODmydog_Seguir = true;

	};


	EODmydog_BuscarExplosivosPersona = false;

	EODmydog_Atacar = false;

	   _objetos = nearestObjects [position _perro, [], 50];

	   { 

	   _TipoDeObjeto = typeof _x;


		if (_TipoDeObjeto in _Bombas)  then {	

		   _IEDs = _IEDs + [_x];
                 
		};

if (_TipoDeObjeto == "ACE_Stake")  then {	

_alambreDeDisparo = true;

} else {

_alambreDeDisparo = false;
                 
};

	   }forEach _objetos;



	if (count _IEDs >0)  then {				

		_IEDselec = _IEDs select 0;
														
		_distancia = (position _perro) distance (_IEDselec);
				                                                       
		if (_objetivo != _IEDselec) then {

		_objetivo ="";

		_objetivo = _IEDselec;

		};	
//----------------------------------------------------------------------------------------------------------
//SI HAY ALAMBRE DE DISPARO
//----------------------------------------------------------------------------------------------------------	
                		 if (_alambreDeDisparo)  then {

						if (_distancia < 20) then {	

						EODmydog_Seguir = false;

						["move4"] call CBA_fnc_globalEvent;							

								_TipoLadrido = round(random 2);
	
								switch (_TipoLadrido) do {
								
								case 0:
							
								{
		
								[_perro, "ladrido1"] call CBA_fnc_globalSay3d;

								sleep 0.5;                                                               
								
								};
								
								case 1:
							
								{
								
								[_perro, "ladrido2"] call CBA_fnc_globalSay3d;

                                                                sleep _TipoLadrido;
								
								};
								
								case 2:
							
								{
								
								[_perro, "ladrido3"] call CBA_fnc_globalSay3d;

                                                                sleep _TipoLadrido;
								
								};
								
								};	
                         
						};
//----------------------------------------------------------------------------------------------------------
//SI NO HAY ALAMBRE DE DISPARO
//----------------------------------------------------------------------------------------------------------	
				} else {

						if (_distancia < 10) then {	

						EODmydog_Seguir = false;

						["move4"] call CBA_fnc_globalEvent;						

								_TipoLadrido = round(random 2);
	
								switch (_TipoLadrido) do {
								
								case 0:
							
								{
		
								[_perro, "ladrido1"] call CBA_fnc_globalSay3d;
                                                               
                                                                sleep 0.5;
								
								};
								
								case 1:
							
								{
								
								[_perro, "ladrido2"] call CBA_fnc_globalSay3d;

                                                                sleep _TipoLadrido;
								
								};
								
								case 2:
							
								{
								
								[_perro, "ladrido3"] call CBA_fnc_globalSay3d;

								sleep _TipoLadrido;                                                                
								
								};
								
								};	
                         
						};

				};
//----------------------------------------------------------------------------------------------------------
//FIN ARRAY SELEC
//----------------------------------------------------------------------------------------------------------
	} else {

        EODmydog_BuscarExplosivos = false;	

	};		
//----------------------------------------------------------------------------------------------------------
//FIN MODO BUSCAR EXPLOSIVOS
//----------------------------------------------------------------------------------------------------------
};
//----------------------------------------------------------------------------------------------------------
//MODO ATACAR
//----------------------------------------------------------------------------------------------------------
if (EODmydog_Atacar) then {   

	if (!EODmydog_Seguir) then {
	    
            EODmydog_Seguir = true;

	};

	EODmydog_BuscarExplosivosPersona = false;

	EODmydog_BuscarExplosivos = false;

	if (isNil("_HumanoCercano")) then {

	hintSilent "Aim the enemy to attack him";

	waituntil {(!isnull cursortarget) or (!EODmydog_Atacar)};

	_HumanoCercano = cursortarget;

	};



	if (vehicle _HumanoCercano isKindOf "Man") then { 

			if ((vehicle _HumanoCercano isKindOf "Pastor") or (vehicle _HumanoCercano isKindOf "Fin")) then {

			hintSilent "EODmyDog is not a valid target";

			_HumanoCercano = nil;

			EODmydog_Atacar = false;

			};		
				
	
		if ((side _unidad)getFriend (side _HumanoCercano) <0.6) then {

									
						_distancia = (position _perro) distance (_HumanoCercano);							
							
							                       
                                               if (_objetivo != _HumanoCercano) then {

						_objetivo ="";

                                                _objetivo = _HumanoCercano;

                                               };											
							
						if (alive _HumanoCercano) then {

							if ((_distancia > 5) && (_distancia < 200)) then {								

								_TipoLadrido = round(random 2);
	
								switch (_TipoLadrido) do {
								
								case 0:
							
								{
		
								[_perro, "ladrido1"] call CBA_fnc_globalSay3d;

								sleep 0.5;
								
								};
								
								case 1:
							
								{
								
								[_perro, "ladrido2"] call CBA_fnc_globalSay3d;

								sleep 0.5;
								
								};
								
								case 2:
							
								{
								
								[_perro, "ladrido3"] call CBA_fnc_globalSay3d;

								sleep 0.5;
								
								};
								
								};	

							};
													
														
							if ((_distancia > 2) && (_distancia < 5)) then {
								
								if (_aviso2)  then {
					
								_aviso2 = "false";

								};

								_TipoLadrido = round(random 1);
	
								switch (_TipoLadrido) do {
								
								case 0:
							
								{
		
								[_perro, "ladrido3"] call CBA_fnc_globalSay3d;

								sleep 0.5;
								
								};
								
								case 1:
							
								{
								
								[_perro, "ronroneo1"] call CBA_fnc_globalSay3d;

								sleep 0.5;
								
								};
								
							
								};	

								
							};


							if (_distancia < 2) then {						
															
								
//----------------------------------------------------------------------------------------------------------
//SITUACIN DE ATAQUE. SE DEFINE DAO Y EL PROCESO DEL DAO
//----------------------------------------------------------------------------------------------------------								
								
														
									_ComprobarDanoHumano = getDammage _HumanoCercano;	
																											
									_DanoMordisco = _ComprobarDanoHumano + 0.3;

									[_perro, "mordisco"] call CBA_fnc_globalSay3d;		
										
									_HumanoCercano setdamage _DanoMordisco;

									["AnimacionAtaque_1", {

									_HumanoCercano switchMove "AdthPercMstpSlowWrflDnon_8";

									}] call CBA_fnc_addEventHandler;

									["AnimacionAtaque_1"] call CBA_fnc_globalEvent;
									
									[_HumanoCercano, "grito"] call CBA_fnc_globalSay3d;

									sleep 3;
																		
									_DanoMordisco = "";
									
									["AnimacionAtaque_2", {

									_HumanoCercano switchMove "";
									
									}] call CBA_fnc_addEventHandler;

									["AnimacionAtaque_2"] call CBA_fnc_globalEvent;
																
							};						

						};						
//----------------------------------------------------------------------------------------------------------
//FIN DE PARTE DE SCRIPT DE ATAQUE
//----------------------------------------------------------------------------------------------------------
					} else {

					EODmydog_Atacar = false;

					};
//----------------------------------------------------------------------------------------------------------
//FIN COMPROBACION SI ES HUMANO
//----------------------------------------------------------------------------------------------------------			
		} else {
		_HumanoCercano = nil;
		};			
//----------------------------------------------------------------------------------------------------------
//FIN MODO ATAQUE
//----------------------------------------------------------------------------------------------------------
} else {
_HumanoCercano = nil;
};
//----------------------------------------------------------------------------------------------------------
//MODO VEHICULO
//----------------------------------------------------------------------------------------------------------
if (vehicle _unidad != _unidad) then {
	
	_perro allowDamage false;
	_perro setPos [50000,50000,0];
	EODmydog_Seguir = false;
	_ModoVehiculoActivado = true;
	
} else {

	if (_ModoVehiculoActivado) then {

		_perro setPos [getPos _unidad select 0, (getPos _unidad select 1) + 2, getPos _unidad select 2];

		_perro allowDamage true;

		EODmydog_Seguir = true;

		_ModoVehiculoActivado = false;

	};
	
//----------------------------------------------------------------------------------------------------------
//FIN MODO VEHICULO
//----------------------------------------------------------------------------------------------------------
};
//----------------------------------------------------------------------------------------------------------
//RESTAURACION DE VARIABLES GLOBALES y LOCALES ALTERADAS
//----------------------------------------------------------------------------------------------------------	

	if ((!EODmydog_Atacar) && (!EODmydog_BuscarExplosivos) && (!EODmydog_BuscarExplosivosPersona)) then {

		if (_objetivo != _unidad) then {
                	
		_objetivo = _unidad;

                EODmydog_Seguir = true;
	

		};

	};		

//----------------------------------------------------------------------------------------------------------
//FIN DEL LOOP
//----------------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------------
//INICIO DE VERIFICACION PLAYER
//----------------------------------------------------------------------------------------------------------

if (!isPlayer _unidad) then {

	deleteVehicle _Perro;

	deleteVehicle _unidad;

};
//----------------------------------------------------------------------------------------------------------
//FIN DE LA VERIFICACION PLAYER
//----------------------------------------------------------------------------------------------------------
};
//----------------------------------------------------------------------------------------------------------
//PERRO MUERTO
//----------------------------------------------------------------------------------------------------------	

if (not alive _perro) then {

	_unidad removeAction 1;
   
	_GrupoSideLogic = createGroup sideLogic;

	_PerroMuerto = _GrupoSideLogic createUnit ["logic", position _perro, [], 0, "none"];

	[_PerroMuerto, "llanto"] call CBA_fnc_globalSay3d;
			
	sleep 5;

	deleteVehicle _PerroMuerto;
};	

//----------------------------------------------------------------------------------------------------------
//FIN DEL SCRIPT
//----------------------------------------------------------------------------------------------------------	