/* ----------------------------------------------------------------------------------------------------------------------------------------------

							EODmyDOG

Author: Monovdd (Carlos Alberto Arango Schtz)

Credits: CAA (http://armacaa.com), Scar and Paranoik for testing.

Description: EODmyDog is a script that extends the gameplay in Arma 2 CO, and takes the role of combat engineer to another level. 
	     This script invokes a dog companion for the Engineer, with which he can search for mines in a specific area, looking for explosives 
	      in objects or units and attack enemies.

Features: Unlike other scripts, EODmyDOG has a menu that facilitates user interaction and makes the script user-friendly. 
	  Also it has a way to detect explosives that is fully compatible with ACE.

Multiplayer notes: Works perfectly on dedicated servers as well as non-dedicated servers. 
	           (The server must be configured to support ACE).

Requirements: ARMA 2 CO (COMBINED OPERATIONS), ACE (Advanced Combat Enviroment) y CBA (Community Based addon).

Usage: You must complete the following steps to make the script work on your mission:

1) In init.sqf file copy the following line in a new line:

	#include "\x\cba\addons\main\script_component.hpp"

2) In Description.txt file copy the following lines into a new line:

	#include <scripts\EODmydog\files\sounds.hpp>
	#include <scripts\EODmydog\files\c_ui.hpp>
	#include <scripts\EODmydog\files\EODD.hpp>

	Note: If you want to add sounds to your mission and want to use EODmyDOG, you must modify the file sounds.hpp, 
	which is located in the path: scripts \ EODmydog \ files \

	This file contains CfgSounds class that normally meets mission sounds. Here you must add the name of the sound and the path to it.

3) Once done steps 1 and 2, add the following line to the INIT of unit in the editor that you want to have EODmyDOG. 
   Make sure the unit is controlled by a player; otherwise the script will not work.

	_nul = [this] execvm "scripts\EODmydog\files\EODmydog_INIT.sqf";

4) Put in your mission via editor the functions module (BIS Module)

5) Enjoy EODmyDOG. Dont forget to thank. It costs nothing.

------------------------------------------------------------------------------------------------------------------------------------------------- */

#define CUI_Colours_Darker				73/255, 73/255, 73/255
#define CUI_Colours_Dark				30/255, 30/255, 30/255
#define CUI_Colours_Normal				253/255, 249/255, 232/255
#define CUI_Colours_Light				221/255, 176/255, 54/255
#define CUI_Colours_Lighter				253/255, 249/255, 232/255
#define ST_PICTURE        48

//-----------------------------------------------------------------------------
#define CUI_Colours_DialogBackground	CUI_Colours_Dark
#define CUI_Colours_DialogText 			CUI_Colours_Normal

#define CUI_Colours_WindowBackground	CUI_Colours_Dark
#define CUI_Colours_WindowText 			CUI_Colours_Lighter

#define CUI_Colours_CaptionBackground	CUI_Colours_Light
#define CUI_Colours_CaptionText			CUI_Colours_Lighter

//-----------------------------------------------------------------------------

#define safeX	(safeZoneX * 0.9)
#define safeY	(safeZoneY * 0.9)
#define safeH	(safeZoneH * 0.9)
#define safeW	(safeZoneW * 1)

#define safeCX	(safeX + safeW/2)
#define safeCY	(safeY + safeH/2)

//-----------------------------------------------------------------------------
//Rows

#ifndef CUI_Rows
	#define CUI_Rows 42
#endif

#define CUI_Row_H	((safeH / CUI_Rows) / 0.9)
#define CUI_Row_Y(integer)	(safeY + ((integer) * CUI_Row_H))
#define CUI_Row_DY(int1,int2)	(((int2) - (int1)) * CUI_Row_H)

//-----------------------------------------------------------------------------
//Boxes

#ifndef CUI_Boxes
	#define CUI_Boxes 4
#endif

#define CUI_Box_H	(CUI_Row_H * (CUI_Rows / CUI_Boxes))
#define CUI_Box_W	(safeW / CUI_Boxes)

#define CUI_Box_X(integer)	(safeX + ((integer) * CUI_Box_W))
#define CUI_Box_Y(integer)	(safeY + ((integer) * CUI_Box_H))

#define CUI_Box_Row(int1,int2)	(CUI_Box_Y(int1) + ((int2) * CUI_Row_H))

#define CUI_Box_Rows	(CUI_Box_H / CUI_Row_H)

//-----------------------------------------------------------------------------
//Dialogs

class CUI_Frame	{
	idc = -1;
	x = CUI_Box_X(0); y = CUI_Box_Y(0);
	w = CUI_Box_W; h = CUI_Box_H;
	
	type = 0; style = 0x02;
	sizeEx = 0.032;	font = "Zeppelin32";
	
	colorBackground[] = {CUI_Colours_DialogBackground, 3/4};
	colorText[] = {0,0,0,0};
	text = "";
};

class CUI_Caption : CUI_Frame {
	h = CUI_Row_H;
	colorBackground[] = {CUI_Colours_CaptionBackground, 4/5};
	colorText[] = {CUI_Colours_CaptionText, 1};        
};


class CUI_Caption2 : CUI_Frame {
	h = CUI_Row_H;
	style = ST_PICTURE;
	colorBackground[] = {CUI_Colours_DialogBackground, 4/5};
	colorText[] = {CUI_Colours_CaptionText, 1};
};


class CUI_List {
	idc = -1;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_DY(0,5);
	
	type = 5; style = 0 + 0x10;
	sizeEx = 0.032;	font = "Zeppelin32";
	
	rowHeight = CUI_Row_H;
	wholeHeight = 5 * CUI_Row_H;
	
	color[] = {0,0.5,0,1};
	colorText[] = {CUI_Colours_WindowText, 1};
	colorBackground[] = {CUI_Colours_WindowBackground, 3/4};
	colorScrollbar[] = {0.95, 0.95, 0.95, 1};
	colorSelect[] = {CUI_Colours_DialogText, 1/2};
	colorSelect2[] = {0.95, 0.95, 0.95, 1};
	colorSelectBackground[] = {0,1,0,1};
	colorSelectBackground2[] = {0.6, 0.8392, 0.4706, 1.0};

	period = 0;
	
	soundSelect[] = {"", 0.0, 1};
	
	autoScrollSpeed = -1;
	autoScrollDelay = 5;
	autoScrollRewind = 0;
	maxHistoryDelay = 1.0;

	arrowFull = "\ca\ui\data\ui_arrow_top_active_ca.paa";
	arrowEmpty = "\ca\ui\data\ui_arrow_top_ca.paa";
	
	class ScrollBar	{
		color[] = {CUI_Colours_WindowText, 3/4};
		colorActive[] = {CUI_Colours_WindowText, 1};
		colorDisabled[] = {CUI_Colours_WindowText, 1/2};
		thumb = "\ca\ui\data\ui_scrollbar_thumb_ca.paa";
		arrowFull = "\ca\ui\data\ui_arrow_top_active_ca.paa";
		arrowEmpty = "\ca\ui\data\ui_arrow_top_ca.paa";
		border = "\ca\ui\data\ui_border_scroll_ca.paa";
	};
};

class CUI_Button1 {
	idc = 11;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_H;
	
	type = 1; style = 0x02;
	sizeEx = 0.032;	font = "Zeppelin32";
	
	colorText[] = {CUI_Colours_WindowText, 1};
	colorFocused[] = {CUI_Colours_DialogBackground, 3/5};
	colorDisabled[] = {CUI_Colours_DialogBackground, 2/5};
	colorBackground[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundDisabled[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundActive[] = {CUI_Colours_DialogBackground, 5/5};
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0 };
	colorBorder[] = { 0, 0, 0, 0 };
	borderSize = 0;
        soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
	soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
	soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
	soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
};

class CUI_Button2 {
	idc = 12;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_H;
	
	type = 1; style = 0x02;
	sizeEx = 0.032;	font = "Zeppelin32";
	
	colorText[] = {CUI_Colours_WindowText, 1};
	colorFocused[] = {CUI_Colours_DialogBackground, 3/5};
	colorDisabled[] = {CUI_Colours_DialogBackground, 2/5};
	colorBackground[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundDisabled[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundActive[] = {CUI_Colours_DialogBackground, 5/5};
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0 };
	colorBorder[] = { 0, 0, 0, 0 };
	borderSize = 0;
        soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
	soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
	soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
	soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
};

class CUI_Button3 {
	idc = 13;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_H;
	
	type = 1; style = 0x02;
	sizeEx = 0.032;	font = "Zeppelin32";
	
	colorText[] = {CUI_Colours_WindowText, 1};
	colorFocused[] = {CUI_Colours_DialogBackground, 3/5};
	colorDisabled[] = {CUI_Colours_DialogBackground, 2/5};
	colorBackground[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundDisabled[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundActive[] = {CUI_Colours_DialogBackground, 5/5};
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0 };
	colorBorder[] = { 0, 0, 0, 0 };
	borderSize = 0;
        soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
	soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
	soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
	soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
};

class CUI_Button4 {
	idc = 14;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_H;
	
	type = 1; style = 0x02;
	sizeEx = 0.032;	font = "Zeppelin32";
	
	colorText[] = {CUI_Colours_WindowText, 1};
	colorFocused[] = {CUI_Colours_DialogBackground, 3/5};
	colorDisabled[] = {CUI_Colours_DialogBackground, 2/5};
	colorBackground[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundDisabled[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundActive[] = {CUI_Colours_DialogBackground, 5/5};
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0 };
	colorBorder[] = { 0, 0, 0, 0 };
	borderSize = 0;
        soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
	soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
	soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
	soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
};

class CUI_Button5 {
	idc = 15;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_H;
	
	type = 1; style = 0x02;
	sizeEx = 0.032;	font = "Zeppelin32";
	
	colorText[] = {CUI_Colours_WindowText, 1};
	colorFocused[] = {CUI_Colours_DialogBackground, 3/5};
	colorDisabled[] = {CUI_Colours_DialogBackground, 2/5};
	colorBackground[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundDisabled[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundActive[] = {CUI_Colours_DialogBackground, 5/5};
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0 };
	colorBorder[] = { 0, 0, 0, 0 };
	borderSize = 0;
        soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
	soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
	soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
	soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
};

class CUI_Button6 {
	idc = 16;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_H;
	
	type = 1; style = 0x02;
	sizeEx = 0.032;	font = "Zeppelin32";
	
	colorText[] = {CUI_Colours_WindowText, 1};
	colorFocused[] = {CUI_Colours_DialogBackground, 3/5};
	colorDisabled[] = {CUI_Colours_DialogBackground, 2/5};
	colorBackground[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundDisabled[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundActive[] = {CUI_Colours_DialogBackground, 5/5};
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0 };
	colorBorder[] = { 0, 0, 0, 0 };
	borderSize = 0;
        soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
	soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
	soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
	soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
};

class CUI_Button7 {
	idc = 17;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_H;
	
	type = 1; style = 0x02;
	sizeEx = 0.032;	font = "Zeppelin32";
	
	colorText[] = {CUI_Colours_WindowText, 1};
	colorFocused[] = {CUI_Colours_DialogBackground, 3/5};
	colorDisabled[] = {CUI_Colours_DialogBackground, 2/5};
	colorBackground[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundDisabled[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundActive[] = {CUI_Colours_DialogBackground, 5/5};
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0 };
	colorBorder[] = { 0, 0, 0, 0 };
	borderSize = 0;
        soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
	soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
	soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
	soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
};

class CUI_Button8 {
	idc = 18;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_H;
	
	type = 1; style = 0x02;
	sizeEx = 0.032;	font = "Zeppelin32";
	
	colorText[] = {CUI_Colours_WindowText, 1};
	colorFocused[] = {CUI_Colours_DialogBackground, 3/5};
	colorDisabled[] = {CUI_Colours_DialogBackground, 2/5};
	colorBackground[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundDisabled[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundActive[] = {CUI_Colours_DialogBackground, 5/5};
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0 };
	colorBorder[] = { 0, 0, 0, 0 };
	borderSize = 0;
        soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
	soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
	soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
	soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
};

class CUI_Button9 {
	idc = 19;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_H;
	
	type = 1; style = 0x02;
	sizeEx = 0.032;	font = "Zeppelin32";
	
	colorText[] = {CUI_Colours_WindowText, 1};
	colorFocused[] = {CUI_Colours_DialogBackground, 3/5};
	colorDisabled[] = {CUI_Colours_DialogBackground, 2/5};
	colorBackground[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundDisabled[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundActive[] = {CUI_Colours_DialogBackground, 5/5};
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0 };
	colorBorder[] = { 0, 0, 0, 0 };
	borderSize = 0;
        soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
	soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
	soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
	soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
};

class CUI_Button10 {
	idc = 20;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_H;
	
	type = 1; style = 0x02;
	sizeEx = 0.032;	font = "Zeppelin32";
	
	colorText[] = {CUI_Colours_WindowText, 1};
	colorFocused[] = {CUI_Colours_DialogBackground, 3/5};
	colorDisabled[] = {CUI_Colours_DialogBackground, 2/5};
	colorBackground[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundDisabled[] = {CUI_Colours_DialogBackground, 4/5};
	colorBackgroundActive[] = {CUI_Colours_DialogBackground, 5/5};
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0 };
	colorBorder[] = { 0, 0, 0, 0 };
	borderSize = 0;
        soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
	soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
	soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
	soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
};

class CUI_Combo {
	idc = -1;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_H;
	
	type = 4; style = 0x00;
	sizeEx = 0.032;	font = "Zeppelin32";
	
	rowHeight = CUI_Row_H;
	wholeHeight = 5 * CUI_Row_H;

	color[] = {1,1,1,3/4};
	colorText[] = {CUI_Colours_WindowText, 3/5};
	colorBackground[] = {CUI_Colours_DialogBackground, 2/4};
	colorSelect[] = {CUI_Colours_WindowText, 1};
	colorSelectBackground[] = {CUI_Colours_DialogBackground, 3/4};
	soundSelect[] = {"", 0.0, 1};
	soundExpand[] = {"", 0.0, 1};
	soundCollapse[] = {"", 0.0, 1};
	
	autoScrollSpeed = -1;
	autoScrollDelay = 5;
	autoScrollRewind = 0;
	maxHistoryDelay = 1.0;
	
	arrowFull = "\ca\ui\data\ui_arrow_top_active_ca.paa";
	arrowEmpty = "\ca\ui\data\ui_arrow_top_ca.paa";
	
	class ScrollBar	{
		color[] = {CUI_Colours_WindowText, 3/4};
		colorActive[] = {CUI_Colours_WindowText, 1};
		colorDisabled[] = {CUI_Colours_WindowText, 1/2};
		thumb = "\ca\ui\data\ui_scrollbar_thumb_ca.paa";
		arrowFull = "\ca\ui\data\ui_arrow_top_active_ca.paa";
		arrowEmpty = "\ca\ui\data\ui_arrow_top_ca.paa";
		border = "\ca\ui\data\ui_border_scroll_ca.paa";
	};
};

class CUI_Edit {
	idc = -1;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_H;
	
	type = 2; style = 16;
	sizeEx = 0.028;	font = "BitStream";

	colorBackground[] = {CUI_Colours_DialogBackground, 4/5};
	colorText[] = {CUI_Colours_WindowText, 4/5};
	colorSelection[] = {0,0,0,1};

	autocomplete = false;
	text = "";
};

class CUI_Slider {
	idc = -1;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_H;
	
	type = 3; style = 0x400;
	
	color[] = {CUI_Colours_WindowText, 4/5};
	coloractive[] = {CUI_Colours_WindowText, 1};
	onSliderPosChanged = "";
};

class CUI_Text {
	idc = -1;
	x = CUI_Box_X(0); y = CUI_Box_Row(0,1);
	w = CUI_Box_W; h = CUI_Row_H;
	
	type = 0; style = 0x00;
	sizeEx = 0.032;	font = "Zeppelin32";

	colorBackground[] = {0,0,0,0};
	colorText[] = {CUI_Colours_WindowText, 1};
};